#include<stdio.h>
 
int main ()
{
   /* variables */   
   int contador;

    inicio:
    
    printf ("\nIndica donde empieza a contar hasta 100: \n");     
    scanf ("%d", &contador);     
    puts(""); 
    printf("CONTAMOS DESDE EL %d \n", contador); 

    /* Control de flujo*/

    if(contador>100){
        printf("%d no es un número menor de 100\n",contador);
        goto inicio;

    } else {

        /* bucle */   
        
        while( contador <= 100 )
        {
            printf("%d\n", contador);
            contador++;
        }
        
        return 0;
    }
}